<?php

namespace General\Requests;

use General\Services\LandingPage\LandingPageLinkService;
use Illuminate\Validation\Rule;

class LinkReportTypeRequest extends Request
{
    public function rules()
    {
        return [
            'type' => ['required', Rule::in(LandingPageLinkService::REPORT_TYPE)],
            'molecule' => 'integer|between:0,100',
            'eligible_count' => 'integer',
        ];
    }
}
