<?php

namespace General\Services\Export;

/**
 * 导出查询类
 */
class ExportQueryData
{
    public $query_params_map;
    public $memu_name;

    public function __construct(array $query_params_map, string $memu_name)
    {
        $this->query_params_map = $query_params_map;
        $this->memu_name = $memu_name;
    }

    public function getQueryParamsContent(array $params)
    {
        $content = "";
        foreach ($params as $key => $value) {
            $content .= isset($this->query_params_map[$key]) && $value !== '' ?
                "{$this->query_params_map[$key]}: {$value};" : '';
        }
        return $content;
    }
}
